Name:		goobook
Version:	1.3
Release:	11%{?dist}
Summary:	Abook-style interface for google contacts for mutt

Group:		Applications/Internet
License:	GPLv3
URL:		http://code.google.com/p/goobook
Source0:	http://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python-setuptools
BuildRequires:	python2-devel

# it need load_entry_point from pkg_resources
Requires:	python-setuptools
Requires:	python-simplejson >= 2.1.0
Requires:	python-hcs_utils = 1.1.1
Requires:	python-gdata


%description
Goobook is a command-line interface to Google contacts. It includes
* Searching contacts
* Mutt integration (the same way as for abook)
* Adding new contacts (very basic) 

%prep
%setup -q -n %{name}-%{version}


%build
# Remove the argparse dependency
sed -i '/argparse>=1.1/d' setup.py
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Remove shebang
for lib in %{buildroot}%{python_sitelib}/goobook/*.py; do
	sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
	touch -r $lib $lib.new &&
	mv $lib.new $lib
done

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt IDEAS.txt CHANGES.txt CONTRIBUTORS.txt TODO.txt HACKING.txt
%{python_sitelib}/goobook*
%{_bindir}/goobook



%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 28 2011 Howard Ning <mrlhwliberty@gmail.com> - 1.3-8
- Remove argparser in the setup.py so it will work on F15

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 2 2011 Howard Ning <mrlhwliberty@gmail.com> - 1.3-6
- Remove argparser requirement

* Sun Aug 25 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-5
- Add python-setuptools requirement

* Sun Aug 8 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-4
- Change the version requirement. 

* Fri Aug 6 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-3
- BuildRequires python-setuptools 

* Wed Aug 4 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-2
- Clean up the spec file 

* Sun Jul 25 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-1
- Bump version to official release
 
* Mon Jun 21 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.3-0.1.a1
- Initial Release
